Ticket #155 (closed bug: fixed)

Opened 12 years ago

Last modified 12 years ago

Edirol FA-101: jack doesn't start with message 'no devices on the bus'

Reported by: blindekinder Assigned to: wagi
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO 2.0-beta6 (1.999.36)
Keywords: Cc:
The device the bug applies to:

Description

All is in the title... Here is the Discovery verbose (v6):

$ jackd -R -d firewire -v6
no message buffer overruns
jackd 0.112.1
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details

JACK compiled with System V SHM support.
loading driver ..
03460468635:  (ffado.cpp)[  99] ffado_streaming_init: libffado 1.999.36-exportado built Sep  7 2008 12:38:47
03460468700: Debug (Element.cpp)[ 117] setVerboseLevel: Setting verbose level to 6...
03460468706: Debug (StreamProcessorManager.cpp)[1208] setVerboseLevel:  Receive processors...
03460468711: Debug (StreamProcessorManager.cpp)[1215] setVerboseLevel:  Transmit processors...
03460468717: Debug (devicemanager.cpp)[ 978] setVerboseLevel: Setting verbose level to 6...
03460468723: Debug (DeviceStringParser.cpp)[ 277] isValidString: isvalid? hw:0
03460468733: Debug (devicemanager.cpp)[ 187] addSpecString: Adding spec string hw:0
03460468738: Debug (DeviceStringParser.cpp)[ 246] parseString: parse: hw:0
03460468741: Debug (DeviceStringParser.cpp)[ 251] parseString:  left: hw:0
03460468746: Debug (DeviceStringParser.cpp)[  56] parse: parse: hw:0
03460468760: Debug (ffado.cpp)[ 141] ffado_streaming_init: setting slave mode to 0
03460468768: Debug (ffado.cpp)[ 147] ffado_streaming_init: setting snoop mode to 0
03460468814: Debug (devicemanager.cpp)[ 152] initialize: Found 1 firewire adapters (ports)
03460468830: Debug (ieee1394service.cpp)[ 958] setVerboseLevel: Setting verbose level to 6...
03460468838: Debug (ieee1394service.cpp)[ 294] setThreadParameters: Switching IsoManager to (rt=1, prio=14)
03460468842: Debug (IsoHandlerManager.cpp)[ 436] setThreadParameters: (0x8071c50) switch to: (rt=1, prio=14)...
03460468846: Debug (ieee1394service.cpp)[ 300] setThreadParameters: Switching CycleTimerHelper to (rt=1, prio=4)
03460468851: Debug (CycleTimerHelper.cpp)[ 242] setThreadParameters: (0x8071c90) switch to: (rt=1, prio=4)...
03460468865: Debug (Watchdog.cpp)[ 200] start: (0x8071df8) Starting watchdog...
03460468869: Debug (Watchdog.cpp)[ 201] start: Create hartbeat task/thread for 0x8071df8...
03460468873: Debug (Watchdog.cpp)[ 215] start:  hartbeat task: 0x8071e30, thread 0x8071e50...
03460468877: Debug (Watchdog.cpp)[ 217] start: Create check task/thread for 0x8071df8...
03460468881: Debug (Watchdog.cpp)[ 231] start:  check task: 0x8071e70, thread 0x8071e90...
03460487834: Debug (Watchdog.cpp)[ 249] start: (0x8071df8) Watchdog running...
03460487936: Debug (ieee1394service.cpp)[ 220] initialize: This system supports the raw1394_read_cycle_timer call, using it.
03460487976: Debug (CycleTimerHelper.cpp)[ 126] Start: Start 0x8071c90...
03460487980: Debug (CycleTimerHelper.cpp)[ 159] initValues: (0x8071c90) Init values...
03460487985: Debug (CycleTimerHelper.cpp)[ 166] initValues: Read CTR...
03460487992: Debug (CycleTimerHelper.cpp)[ 177] initValues:  read : CTR:   284801161, local:  1220805611919399
03460487996: Debug (CycleTimerHelper.cpp)[ 183] initValues:   ctr   : 0x10F9B889   208882825 (008s 3995cy 2185ticks)
03460488042: Debug (CycleTimerHelper.cpp)[ 189] initValues: requesting DLL re-init...
03460489067: Debug (CycleTimerHelper.cpp)[ 306] initDLL:  (0x8071c90) First run
03460489072: Debug (CycleTimerHelper.cpp)[ 309] initDLL:   usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000
03460489086: Debug (CycleTimerHelper.cpp)[ 312] initDLL:   usecs current: 1220805611920472.000000, next: 1220805612120472.000000
03460489093: Debug (CycleTimerHelper.cpp)[ 315] initDLL:   ticks current: 208909202.000000, next: 213824402.000000
03460489099: Debug (CycleTimerHelper.cpp)[ 199] initValues: ready...
03460489107: Debug (Watchdog.cpp)[ 281] registerThread: (0x8071df8) Adding thread 0x8078468
03460498969: Debug (CycleTimerHelper.cpp)[ 206] Init: Initialize 0x8071c90...
03460498997: Debug (ieee1394service.cpp)[ 678] addBusResetHandler: Adding busreset handler (0x8078520)
03460499064: Debug (IsoHandlerManager.cpp)[ 465] init: Initializing ISO manager 0x8071c50...
03460499070: Debug (IsoHandlerManager.cpp)[ 473] init: Create iso thread for 0x8071c50 transmit...
03460499077: Debug (IsoHandlerManager.cpp)[ 491] init: Create iso thread for 0x8071c50 receive...
03460499082: Debug (Watchdog.cpp)[ 281] registerThread: (0x8071df8) Adding thread 0x8078638
03460499098: Debug (Watchdog.cpp)[ 281] registerThread: (0x8071df8) Adding thread 0x8078750
03460499103: Debug (PosixThread.cpp)[  97] Start: Create RT thread 0x8078638 with priority 15
03460499075: Debug (CycleTimerHelper.cpp)[ 306] initDLL:  (0x8071c90) First run
03460508729: Debug (CycleTimerHelper.cpp)[ 309] initDLL:   usecs/update: 200000, ticks/update: 4915200, m_dll_e2: 4915200.000000
03460508771: Debug (CycleTimerHelper.cpp)[ 312] initDLL:   usecs current: 1220805611930480.000000, next: 1220805612130480.000000
03460508779: Debug (CycleTimerHelper.cpp)[ 315] initDLL:   ticks current: 209155202.000000, next: 214070402.000000
03460508784: Debug (PosixThread.cpp)[  76] ThreadHandler: ThreadHandler: start 0x8078638
03460508799: Debug (PosixThread.cpp)[  97] Start: Create RT thread 0x8078750 with priority 8
03460518124: Debug (PosixThread.cpp)[  76] ThreadHandler: ThreadHandler: start 0x8078750
03460527766: Debug (ieee1394service.cpp)[ 294] setThreadParameters: Switching IsoManager to (rt=1, prio=14)
03460527786: Debug (IsoHandlerManager.cpp)[ 436] setThreadParameters: (0x8071c50) switch to: (rt=1, prio=14)...
03460527792: Debug (PosixThread.cpp)[ 184] AcquireRealTime: (0x8078638) Aquire realtime, prio 15
03460527801: Debug (PosixThread.cpp)[ 184] AcquireRealTime: (0x8078750) Aquire realtime, prio 8
03460527806: Debug (ieee1394service.cpp)[ 300] setThreadParameters: Switching CycleTimerHelper to (rt=1, prio=4)
03460527811: Debug (CycleTimerHelper.cpp)[ 242] setThreadParameters: (0x8071c90) switch to: (rt=1, prio=4)...
03460527815: Debug (PosixThread.cpp)[ 184] AcquireRealTime: (0x8078468) Aquire realtime, prio 4
03460527838: Debug (ieee1394service.cpp)[ 678] addBusResetHandler: Adding busreset handler (0x8078938)
03460527865: Debug (Element.cpp)[ 117] setVerboseLevel: Setting verbose level to 6...
03460527870: Debug (StreamProcessorManager.cpp)[1208] setVerboseLevel:  Receive processors...
03460527876: Debug (StreamProcessorManager.cpp)[1215] setVerboseLevel:  Transmit processors...
03460527887: Debug (ieee1394service.cpp)[ 958] setVerboseLevel: Setting verbose level to 6...
03460527891: Debug (devicemanager.cpp)[ 978] setVerboseLevel: Setting verbose level to 6...
03460527899: Debug (devicemanager.cpp)[ 326] discover: Probing node 0...
03460527903: Debug (devicemanager.cpp)[ 329] discover: Skipping local node (0)...
03460527907: Debug (devicemanager.cpp)[ 326] discover: Probing node 1...
03460573281: Debug (DeviceStringParser.cpp)[ 376] show: DeviceStringParser: 0x8071368
03460573301: Debug (DeviceStringParser.cpp)[ 211] show: string: hw:0
03460573305: Debug (DeviceStringParser.cpp)[ 214] show: type: eBusNode
03460573309: Debug (DeviceStringParser.cpp)[ 216] show:  Port: 0, Node: -1
03460573314: Debug (devicemanager.cpp)[ 431] discover: Probing node 0...
03460573318: Debug (devicemanager.cpp)[ 434] discover: Skipping local node (0)...
03460573322: Debug (devicemanager.cpp)[ 431] discover: Probing node 1...
03460619054: Debug (configrom.cpp)[ 560] printConfigRomDebug: Config ROM
03460619067: Debug (configrom.cpp)[ 561] printConfigRomDebug:   Current Node Id:        1
03460619074: Debug (configrom.cpp)[ 562] printConfigRomDebug:   GUID:                   0x0040AB0000C223E3
03460619081: Debug (configrom.cpp)[ 563] printConfigRomDebug:   Vendor Name:            EDIROL
03460619102: Debug (configrom.cpp)[ 564] printConfigRomDebug:   Model Name:             EDIROL FA-101
03460619109: Debug (configrom.cpp)[ 565] printConfigRomDebug:   Node Vendor ID:         0x0040ab
03460619116: Debug (configrom.cpp)[ 566] printConfigRomDebug:   Model Id:               0x00010048
03460619122: Debug (configrom.cpp)[ 567] printConfigRomDebug:   Unit Specifier ID:      0x00a02d
03460619129: Debug (configrom.cpp)[ 568] printConfigRomDebug:   Unit version:           0x00010001
03460619135: Debug (configrom.cpp)[ 569] printConfigRomDebug:   ISO resource manager:   1
03460619141: Debug (configrom.cpp)[ 570] printConfigRomDebug:   Cycle master capable:   1
03460619148: Debug (configrom.cpp)[ 571] printConfigRomDebug:   Bus manager capable:    1
03460619154: Debug (configrom.cpp)[ 572] printConfigRomDebug:   Cycle clock accuracy:   100
03460619160: Debug (configrom.cpp)[ 574] printConfigRomDebug:   Max rec:                6 (max asy payload: 128 bytes)
03460619169: Debug (DeviceStringParser.cpp)[ 162] match: match 0x8078998
03460619176: Debug (devicemanager.cpp)[ 842] getDriverForDevice: Probing for supported device...
03460619183: Debug (devicemanager.cpp)[ 807] getDriverForDeviceDo: Trying BeBoB...
03460619433: Debug (Element.cpp)[ 199] addElement: Adding Element ConfigRom to 0040ab0000c223e3
03460619447: Debug (Element.cpp)[ 199] addElement: Adding Element Generic to 0040ab0000c223e3
03460619455: Debug (Element.cpp)[ 199] addElement: Adding Element ClockSelect to Generic
03460619462: Debug (Element.cpp)[ 199] addElement: Adding Element SamplerateSelect to Generic
03460619469: Debug (Element.cpp)[ 199] addElement: Adding Element Nickname to Generic
03460619486: Debug (devicemanager.cpp)[ 845] getDriverForDevice:  found supported device...
03460619491: Debug (devicemanager.cpp)[ 491] discover: driver found for device 1
03460619495: Debug (avc_plug.cpp)[1856] setVerboseLevel: Setting verbose level to 6...
03460619500: Debug (Element.cpp)[ 117] setVerboseLevel: Setting verbose level to 6...
03460619504: Debug (avc_plug.cpp)[1856] setVerboseLevel: Setting verbose level to 6...
03460619507: Debug (avc_unit.cpp)[ 116] setVerboseLevel: Setting verbose level to 6...
03460619511: Debug (avc_avdevice.cpp)[ 167] setVerboseLevel: Setting verbose level to 6...
03460619515: Debug (bebob_avdevice.cpp)[ 380] setVerboseLevel: Setting verbose level to 6...
03460632926: Debug (bebob_avdevice.cpp)[ 462] getConfigurationIdSampleRate: Sample rate 0x04
03460639739: Debug (bebob_avdevice.cpp)[ 497] getConfigurationIdNumberOfChannel: Number of channels 0x0b
03460644554: Debug (bebob_avdevice.cpp)[ 497] getConfigurationIdNumberOfChannel: Number of channels 0x0b
03460648688: Debug (bebob_avdevice.cpp)[ 531] getConfigurationIdSyncMode: Sync mode 0x6007
03460648707: Debug (bebob_avdevice.cpp)[ 617] loadFromCache: filename /home/raphael/.ffado/cache/0040ab0000c223e3/00000060070b0b04.xml
03460648730: Debug (bebob_avdevice.cpp)[ 621] loadFromCache: "/home/raphael/.ffado/cache/0040ab0000c223e3/00000060070b0b04.xml" does not exist
03460648889: Debug (bebob_avdevice.cpp)[ 190] discover: found   "EDIROL"                         "FA-101"
03460652754: Debug (avc_unit.cpp)[ 248] enumerateSubUnits: subunit_id =  0, subunit_type =  1 (Audio)
03460652770: Debug (avc_subunit.cpp)[  72] setVerboseLevel: Setting verbose level to 6...
03460652777: Debug (avc_subunit.cpp)[  72] setVerboseLevel: Setting verbose level to 6...
03460652785: Debug (bebob_avdevice_subunit.cpp)[  83] discover: Discovering BeBoB::AudioSubunit...
03460652792: Debug (avc_audiosubunit.cpp)[  55] discover: Discovering BeBoB::AudioSubunit...
03460652802: Debug (avc_subunit.cpp)[ 108] discoverPlugs: Discovering plugs...
03460656725: Debug (avc_subunit.cpp)[ 124] discoverPlugs: number of source plugs = 1
03460656737: Debug (avc_subunit.cpp)[ 126] discoverPlugs: number of destination output plugs = 6
03460656744: Debug (avc_subunit.cpp)[ 169] discoverPlugs: Discovering plugs for direction 0...
03460661331: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 0 is of type 0 (IsoStream)
03460666676: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 0 has name 'ASU Wave Output 1/2'
03460671720: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 0 has 2 channels
03460678205: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 0: channel position information retrieved
03460678218: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460678226: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460678232: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460678238: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460678245: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460683722: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 0 stream position 0: channel name = SpdifOut left
03460689207: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 0 stream position 1: channel name = SpdifOut right
03460694789: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Wave Output 1/2 plug 0: cluster index = 1, portType SPDIF, cluster name = SpdifOut
03460701884: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Wave Output 1/2 plug 0 uses sampling frequency 4, nr of stream infos = 1
03460701899: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460701906: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Wave Output 1/2 plug 0 cluster info 1 ('SpdifOut'): stream format 6
03460709075: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Wave Output 1/2:0] formatInfo[0].m_samplingFrequency = 4
03460709087: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Wave Output 1/2:0] formatInfo[0].m_isSyncStream = 0
03460709095: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Wave Output 1/2:0] formatInfo[0].m_audioChannels = 2
03460709102: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Wave Output 1/2:0] formatInfo[0].m_midiChannels = 0
03460716203: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Wave Output 1/2' found
03460716220: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 1
03460716230: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 1
03460720988: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 1 is of type 0 (IsoStream)
03460727047: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 1 has name 'ASU Ext Audio Input 1/2'
03460731943: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 1 has 2 channels
03460737632: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 1: channel position information retrieved
03460737646: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460737653: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460737678: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460737686: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460737692: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460742614: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 1 stream position 0: channel name = SpdifIn left
03460747603: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 1 stream position 1: channel name = SpdifIn right
03460752429: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Input 1/2 plug 1: cluster index = 1, portType SPDIF, cluster name = SpdifIn
03460758723: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Input 1/2 plug 1 uses sampling frequency 4, nr of stream infos = 1
03460758730: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460758734: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Input 1/2 plug 1 cluster info 1 ('SpdifIn'): stream format 6
03460765689: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Input 1/2:1] formatInfo[0].m_samplingFrequency = 4
03460765701: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Input 1/2:1] formatInfo[0].m_isSyncStream = 0
03460765709: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Input 1/2:1] formatInfo[0].m_audioChannels = 2
03460765716: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Input 1/2:1] formatInfo[0].m_midiChannels = 0
03460770940: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Input 1/2' found
03460770958: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 2
03460770981: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 2
03460775718: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 2 is of type 0 (IsoStream)
03460780684: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 2 has name 'ASU Ext Audio Input 3/4'
03460785875: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 2 has 2 channels
03460794053: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 2: channel position information retrieved
03460794066: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460794073: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460794080: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460794086: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460794092: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460799229: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 2 stream position 0: channel name = MicIn1 left
03460804631: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 2 stream position 1: channel name = MicIn1 right
03460809714: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Input 3/4 plug 2: cluster index = 1, portType Microphone, cluster name = MicIn1
03460816339: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Input 3/4 plug 2 uses sampling frequency 4, nr of stream infos = 1
03460816352: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460816359: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Input 3/4 plug 2 cluster info 1 ('MicIn1'): stream format 6
03460823515: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Input 3/4:2] formatInfo[0].m_samplingFrequency = 4
03460823528: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Input 3/4:2] formatInfo[0].m_isSyncStream = 0
03460823535: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Input 3/4:2] formatInfo[0].m_audioChannels = 2
03460823542: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Input 3/4:2] formatInfo[0].m_midiChannels = 0
03460829091: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Input 3/4' found
03460829110: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 3
03460829121: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 3
03460834193: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 3 is of type 0 (IsoStream)
03460839747: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 3 has name 'ASU Ext Audio Input 5/6'
03460844890: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 3 has 2 channels
03460850395: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 3: channel position information retrieved
03460850402: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460850405: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460850409: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460850413: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460850416: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460855880: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 3 stream position 0: channel name = LineIn 3+4 left
03460861094: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 3 stream position 1: channel name = LineIn 3+4 right
03460869080: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Input 5/6 plug 3: cluster index = 1, portType Line, cluster name = LineIn 3+4
03460875518: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Input 5/6 plug 3 uses sampling frequency 4, nr of stream infos = 1
03460875531: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460875539: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Input 5/6 plug 3 cluster info 1 ('LineIn 3+4'): stream format 6
03460883346: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Input 5/6:3] formatInfo[0].m_samplingFrequency = 4
03460883358: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Input 5/6:3] formatInfo[0].m_isSyncStream = 0
03460883366: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Input 5/6:3] formatInfo[0].m_audioChannels = 2
03460883372: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Input 5/6:3] formatInfo[0].m_midiChannels = 0
03460888562: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Input 5/6' found
03460888578: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 4
03460888587: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 4
03460893284: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 4 is of type 0 (IsoStream)
03460898255: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 4 has name 'ASU Ext Audio Input 7/8'
03460902995: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 4 has 2 channels
03460907938: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 4: channel position information retrieved
03460907944: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460907948: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460907952: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460907955: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460907959: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460912968: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 4 stream position 0: channel name = LineIn 5+6 left
03460918137: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 4 stream position 1: channel name = LineIn 5+6 right
03460923193: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Input 7/8 plug 4: cluster index = 1, portType Line, cluster name = LineIn 5+6
03460929589: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Input 7/8 plug 4 uses sampling frequency 4, nr of stream infos = 1
03460929602: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460929610: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Input 7/8 plug 4 cluster info 1 ('LineIn 5+6'): stream format 6
03460937332: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Input 7/8:4] formatInfo[0].m_samplingFrequency = 4
03460937344: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Input 7/8:4] formatInfo[0].m_isSyncStream = 0
03460937351: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Input 7/8:4] formatInfo[0].m_audioChannels = 2
03460937358: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Input 7/8:4] formatInfo[0].m_midiChannels = 0
03460943197: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Input 7/8' found
03460943214: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 5
03460943224: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 5
03460948194: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 5 is of type 0 (IsoStream)
03460953722: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 5 has name 'ASU Ext Audio Input 9/10'
03460958796: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 5 has 2 channels
03460963909: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 5: channel position information retrieved
03460963916: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03460963920: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03460963923: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03460963927: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03460963930: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03460969420: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 5 stream position 0: channel name = LineIn 7+8 left
03460974723: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 5 stream position 1: channel name = LineIn 7+8 right
03460979827: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Input 9/10 plug 5: cluster index = 1, portType Line, cluster name = LineIn 7+8
03460986221: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Input 9/10 plug 5 uses sampling frequency 4, nr of stream infos = 1
03460986234: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03460986241: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Input 9/10 plug 5 cluster info 1 ('LineIn 7+8'): stream format 6
03460994215: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Input 9/10:5] formatInfo[0].m_samplingFrequency = 4
03460994226: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Input 9/10:5] formatInfo[0].m_isSyncStream = 0
03460994234: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Input 9/10:5] formatInfo[0].m_audioChannels = 2
03460994241: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Input 9/10:5] formatInfo[0].m_midiChannels = 0
03460999797: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Input 9/10' found
03460999809: Debug (avc_subunit.cpp)[ 169] discoverPlugs: Discovering plugs for direction 1...
03460999820: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 1, id = 0
03460999830: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 1, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 1, id = 0
03461004820: Debug (bebob_avplug.cpp)[ 210] discoverPlugType: plug 0 is of type 0 (IsoStream)
03461010100: Debug (bebob_avplug.cpp)[ 269] discoverName: plug 0 has name 'ASU Ext Audio Output 1/2'
03461015176: Debug (bebob_avplug.cpp)[ 302] discoverNoOfChannels: plug 0 has 2 channels
03461020557: Debug (bebob_avplug.cpp)[ 337] discoverChannelPosition: plug 0: channel position information retrieved
03461020564: Debug (avc_plug.cpp)[1159] debugOutputClusterInfos: number of channels: 2
03461020568: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 0
03461020572: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 1
03461020576: Debug (avc_plug.cpp)[1170] debugOutputClusterInfos: stream position: 1
03461020579: Debug (avc_plug.cpp)[1173] debugOutputClusterInfos: location: 2
03461026458: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 0 stream position 0: channel name = SpdifIn left
03461031566: Debug (bebob_avplug.cpp)[ 431] discoverChannelName: plug 0 stream position 1: channel name = SpdifIn right
03461036568: Debug (bebob_avplug.cpp)[ 492] discoverClusterInfo: ASU Ext Audio Output 1/2 plug 0: cluster index = 1, portType SPDIF, cluster name = SpdifIn
03461042888: Debug (avc_plug.cpp)[ 362] discoverStreamFormat: ASU Ext Audio Output 1/2 plug 0 uses sampling frequency 4, nr of stream infos = 1
03461042902: Debug (avc_plug.cpp)[ 383] discoverStreamFormat: number of channels = 2, stream format = 6
03461042909: Debug (avc_plug.cpp)[ 414] discoverStreamFormat: ASU Ext Audio Output 1/2 plug 0 cluster info 1 ('SpdifIn'): stream format 6
03461049928: Debug (avc_plug.cpp)[ 513] discoverSupportedStreamFormats: [ASU Ext Audio Output 1/2:0] formatInfo[0].m_samplingFrequency = 4
03461049940: Debug (avc_plug.cpp)[ 517] discoverSupportedStreamFormats: [ASU Ext Audio Output 1/2:0] formatInfo[0].m_isSyncStream = 0
03461049948: Debug (avc_plug.cpp)[ 521] discoverSupportedStreamFormats: [ASU Ext Audio Output 1/2:0] formatInfo[0].m_audioChannels = 2
03461049955: Debug (avc_plug.cpp)[ 525] discoverSupportedStreamFormats: [ASU Ext Audio Output 1/2:0] formatInfo[0].m_midiChannels = 0
03461055204: Debug (avc_subunit.cpp)[ 194] discoverPlugs: plug 'ASU Ext Audio Output 1/2' found
03461055217: Debug (bebob_avdevice_subunit.cpp)[ 132] discoverFunctionBlocks: Discovering function blocks...
03461068544: Debug (bebob_avdevice_subunit.cpp)[ 285] createFunctionBlock: Found a processing subfunction (type 129) which is not supported. It will be ignored.
03461068551: Debug (bebob_avdevice_subunit.cpp)[ 285] createFunctionBlock: Found a processing subfunction (type 129) which is not supported. It will be ignored.
03461068555: Debug (bebob_avdevice_subunit.cpp)[ 285] createFunctionBlock: Found a processing subfunction (type 129) which is not supported. It will be ignored.
03461068559: Debug (bebob_avdevice_subunit.cpp)[ 285] createFunctionBlock: Found a processing subfunction (type 129) which is not supported. It will be ignored.
03461068563: Debug (bebob_avdevice_subunit.cpp)[ 285] createFunctionBlock: Found a processing subfunction (type 129) which is not supported. It will be ignored.
03461079577: Debug (avc_unit.cpp)[ 248] enumerateSubUnits: subunit_id =  0, subunit_type = 12 (Music)
03461079588: Debug (avc_subunit.cpp)[  72] setVerboseLevel: Setting verbose level to 6...
03461079593: Debug (avc_subunit.cpp)[  72] setVerboseLevel: Setting verbose level to 6...
03461079597: Debug (bebob_avdevice_subunit.cpp)[ 449] discover: Discovering BeBoB::MusicSubunit...
03461079602: Debug (avc_musicsubunit.cpp)[  64] discover: Discovering BeBoB::MusicSubunit...
03461079606: Debug (avc_subunit.cpp)[ 108] discoverPlugs: Discovering plugs...
03461085210: Debug (avc_subunit.cpp)[ 124] discoverPlugs: number of source plugs = 8
03461085221: Debug (avc_subunit.cpp)[ 126] discoverPlugs: number of destination output plugs = 9
03461085228: Debug (avc_subunit.cpp)[ 169] discoverPlugs: Discovering plugs for direction 0...
03461085239: Debug (avc_plug.cpp)[  73] Plug: nodeId = 1, subunitType = 12, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 0
03461085250: Debug (bebob_avplug.cpp)[  64] Plug: nodeId = 1, subunitType = 12, subunitId = 0, functionBlockType = 255, functionBlockId = 255, addressType = 3, direction = 0, id = 0
03461088821: Error (bebob_avplug.cpp)[ 192] discoverPlugType: plug type command failed
03461088835: Error (bebob_avplug.cpp)[ 120] discover: discover: Could not discover plug type (1,12,0,0,0)
03461088844: Error (avc_subunit.cpp)[ 189] discoverPlugs: plug discover failed
03461088873: Error (avc_subunit.cpp)[ 131] discoverPlugs: destination plug discovering failed
03461088883: Error (avc_subunit.cpp)[  99] discover: plug discovery failed
03461088890: Error (avc_unit.cpp)[ 288] enumerateSubUnits: enumerateSubUnits: Could not discover subunit_id =  0, subunit_type = 12 (Music)
03461088907: Error (avc_unit.cpp)[ 180] discover: Could not enumarate sub units
03461088914: Error (bebob_avdevice.cpp)[ 197] discover: Could not discover unit
03461088934: Error (devicemanager.cpp)[ 503] discover: could not discover device
03461088987: Debug (Element.cpp)[ 225] deleteElementNoLock: Deleting Element ConfigRom from 0040ab0000c223e3
03461089047: Debug (Element.cpp)[ 225] deleteElementNoLock: Deleting Element Generic from 0040ab0000c223e3
03461089053: Debug (Element.cpp)[ 225] deleteElementNoLock: Deleting Element ClockSelect from Generic
03461089059: Debug (Element.cpp)[ 225] deleteElementNoLock: Deleting Element SamplerateSelect from Generic
03461089064: Debug (Element.cpp)[ 225] deleteElementNoLock: Deleting Element Nickname from Generic
03461089074: Debug (devicemanager.cpp)[ 536] discover: Discovery finished...
03461089078: Debug (devicemanager.cpp)[ 983] showDeviceInfo: ===== Device Manager =====
03461089082: Debug (Element.cpp)[ 109] show: Element DeviceManager
03461089086: Debug (devicemanager.cpp)[ 991] showDeviceInfo: --- IEEE1394 Service  0 ---
03461089093: Debug (ieee1394service.cpp)[ 973] show: Port:  0
03461089097: Debug (ieee1394service.cpp)[ 974] show:  Name: ohci1394
03461089101: Debug (ieee1394service.cpp)[ 976] show:  CycleTimerHelper: 0x8071c90, IsoManager: 0x8071c50, WatchDog: 0x8071df8
03461089105: Debug (ieee1394service.cpp)[ 981] show:  Time: 00223657479 (009s 0805cy 0519ticks)
Iso handler info:
Dumping IsoHandlerManager Stream handler information...
 State: 2
03461089115: Fatal (ffado.cpp)[ 167] ffado_streaming_init: There are no devices on the bus
03461089124: Debug (IsoHandlerManager.cpp)[ 943] stopHandlers: enter...
03461089128: Debug (IsoHandlerManager.cpp)[ 807] pruneHandlers: enter...
03461089133: Debug (PosixThread.cpp)[ 169] Stop: PosixThread::Stop 0x8078638 (thread: 0xb4420b90)
03461093953: Debug (PosixThread.cpp)[  86] ThreadHandler: ThreadHandler: exit 0x8078638
03461093993: Debug (PosixThread.cpp)[ 173] Stop: PosixThread::Stopped 0x8078638 (thread: 0xb4420b90)
03461094008: Debug (PosixThread.cpp)[ 169] Stop: PosixThread::Stop 0x8078750 (thread: 0xb3c20b90)
03461100315: Debug (PosixThread.cpp)[  86] ThreadHandler: ThreadHandler: exit 0x8078750
03461100352: Debug (PosixThread.cpp)[ 173] Stop: PosixThread::Stopped 0x8078750 (thread: 0xb3c20b90)
03461100366: Debug (PosixThread.cpp)[ 169] Stop: PosixThread::Stop 0x8078468 (thread: 0xb4c20b90)
03461299310: Debug (PosixThread.cpp)[  86] ThreadHandler: ThreadHandler: exit 0x8078468
03461299334: Debug (PosixThread.cpp)[ 173] Stop: PosixThread::Stopped 0x8078468 (thread: 0xb4c20b90)
03461299348: Debug (ieee1394service.cpp)[ 686] remBusResetHandler: Removing busreset handler (0x8078520)
03461299356: Debug (ieee1394service.cpp)[ 693] remBusResetHandler:  found
03461299474: Debug (PosixThread.cpp)[ 155] Kill: PosixThread::Kill 0x8071e90 (thread: 0xb5420b90)
03461299510: Debug (PosixThread.cpp)[ 159] Kill: PosixThread::Killed 0x8071e90 (thread: 0xb5420b90)
03461299516: Debug (PosixThread.cpp)[ 155] Kill: PosixThread::Kill 0x8071e50 (thread: 0xb5c20b90)
03461299988: Debug (PosixThread.cpp)[ 159] Kill: PosixThread::Killed 0x8071e50 (thread: 0xb5c20b90)
firewire ERR: Error creating FFADO streaming device
cannot load driver module firewire
no message buffer overruns                             

It worked ones as I start system with device connected, but without inputs and outputs, and then it stopped... The system I use is Musix (Debian fork)... Thanks

Change History

10/07/08 12:14:13 changed by wagi

  • status changed from new to assigned.
  • owner set to wagi.

Argh! The FA-101 makes a lot of troubles. From the log I would say the device can not handle all AV/C request. We have added specific sleeps between all AV/C commands which should slow down the rate long time ago. But still this pops up. Makes me wonder if the sleeps are somehow computer specific. Anyway I'll look into this problem later.

(follow-up: ↓ 3 ) 10/13/08 10:55:25 changed by j.silvestre

Seem's to be related to ticket #108. Look's like the fix has been lost... The patch was :

Index: src/bebob/edirol/edirol_fa101.cpp =================================================================== --- src/bebob/edirol/edirol_fa101.cpp (revision 1183) +++ src/bebob/edirol/edirol_fa101.cpp (working copy) @@ -33,8 +33,8 @@

debugOutput( DEBUG_LEVEL_VERBOSE, "Created BeBoB::Edirol::EdirolFa?101Device (NodeID %d)\n",

getConfigRom().getNodeId() );

- if (AVC::AVCCommand::getSleepAfterAVCCommand() < 500) {

- AVC::AVCCommand::setSleepAfterAVCCommand( 500 );

+ if (AVC::AVCCommand::getSleepAfterAVCCommand() < 1000) {

+ AVC::AVCCommand::setSleepAfterAVCCommand( 1000 );

}

}

(in reply to: ↑ 2 ) 10/13/08 11:09:49 changed by wagi

Replying to j.silvestre:

Seem's to be related to ticket #108. Look's like the fix has been lost... The patch was :

I don't understand. The fix for #108 was to delay the commands 500 (unit?) (see r1183). So does sleeping 1000 fix your problem then?

10/13/08 12:10:01 changed by j.silvestre

I'm confused and you are exactly right. Long time ago, with the fix for #108 my FA101 still has discovery problems so you give the above patch with double sleep and this fix the problem. Since then the FA101 had a long sleep until today. And today I find the same old discovery problem with last SVN. After setting the sleep time to 1000 the discovery problem vanished as it did before. If you want I can try to find out which is the "threshold" sleeping time?

10/13/08 12:51:59 changed by wagi

Yeah, now we seem synchronized again :)

Yes finding a threshold would be thing. It doesn't have to be too exact (e.g. 613). Another interesting thing is what kind of PC you have. It seems to be quite fast. My old hardware doesn't need those sleeps.

10/13/08 15:24:31 changed by j.silvestre

Seem's to be not that simple. I decrease the delay down to 10 (!) and the FA101 is still discovered... The laptop is a not that fast, 1.86GHz Intel coreduo. Just in case, tests were done with cpu frequency forced to 1.86GHz and then with ondemand governor. I also try to unplug-replug, to power cycle the FA101 and the laptop. No ways...!

10/14/08 02:43:04 changed by wagi

Okay, that's what I suspected long time. This smells like a race condition with issued AV/C commands. I don't know where the problem is. In theory we don't need those sleeps, because we should only issue a new command after the last has been ack or nacked (of course there is also a timeout involved). I guess most devices are more robust than the FA-101 so we only see this with the FA-101.

10/19/08 03:47:00 changed by ppalmers

what's the status on this?

10/19/08 03:50:17 changed by ppalmers

(In [1362]) re #155: increases timeout to improve discovery reliability of FA-101 and FA-66

10/23/08 10:37:18 changed by ppalmers

  • status changed from assigned to closed.
  • resolution set to fixed.

r1371 should fix the discovery issues. Please report back if this is not the case.